export function getElementSpace(elementRef) {
  let neededSpace = 0,
      availableInsideSpace = 0;

  if (elementRef) {
    let getStyle = window.getComputedStyle(elementRef);
    let margin = parseFloat(getStyle.marginLeft) + parseFloat(getStyle.marginRight);
    let padding = parseFloat(getStyle.paddingLeft) + parseFloat(getStyle.paddingRight);
    let width = parseFloat(elementRef.offsetWidth);
    neededSpace = width + margin;
    availableInsideSpace = width - padding;
  }

  return {
    neededSpace: neededSpace,
    availableInsideSpace: availableInsideSpace
  };
}