export const appendToArray = _ref => {
  let {
    array,
    item
  } = _ref;
  return [...array, item];
};
export const modifyArrayItem = _ref2 => {
  let {
    array,
    id,
    currentItem,
    newItem
  } = _ref2;
  return array.map(arrayItem => {
    if (id !== undefined && arrayItem.id === id) {
      return Array.isArray(newItem) ? [...newItem] : typeof newItem === 'object' ? { ...arrayItem,
        ...newItem
      } : newItem;
    }

    if (currentItem !== undefined && arrayItem === currentItem) {
      return newItem;
    }

    return arrayItem;
  });
};
export const deleteFromArray = _ref3 => {
  let {
    array,
    id,
    currentItem
  } = _ref3;
  return array.filter(arrayItem => {
    if (id !== undefined && arrayItem.id === id) {
      return false;
    }

    if (currentItem !== undefined && arrayItem === currentItem) {
      return false;
    }

    return true;
  });
};
export const emptyArray = () => {
  return [];
};