"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hideAtachmentViewer = hideAtachmentViewer;
exports.showAtachmentViewer = showAtachmentViewer;

var _constant = require("../../../service/helpers/constant");

var _customEventDispatcher = require("../../../service/helpers/customEventDispatcher");

function showAtachmentViewer(payload) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER,
      payload: payload
    }
  });
}

function hideAtachmentViewer() {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER
    }
  });
}